<? 

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

	include("include_autentificacion.php");
	include "classes/class.infodirectorios.php";
	include "moduloTraduccion/claseCargadorIdiomas.php"; 
	
	$RELATIVE_PATH = "../";
	if(!empty($_GET['path_base'])){
		$DIRECTORIO_UDIS = $RELATIVE_PATH.$_GET['path_base']."/"; //Viene del constructor
	}
	else if(!empty($_POST['path_base'])){ //Viene de este formulario u otro
		$DIRECTORIO_UDIS = $_POST['path_base'];
	}
	else{
		$DIRECTORIO_UDIS = "../workspaces/".$USUARIO."/documentos/"; //No viene, cogemos el por defecto (no deberia pasar)
	}
	
	$cargaIdiomas = new claseCargadorIdiomas($DIRECTORIO_UDIS."../lang");
	
	//print $DIRECTORIO_UDIS;
	$log = $_POST['log'];
	$accion = $_POST['accion'];
	$ancho_ode = $_POST['ancho_ode'];
	$alto_ode = $_POST['alto_ode'];
	$ruta_relativa_ode = $_POST['ruta_relativa_ode'];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<!-- ATENEX - EL CONSTRUCTOR - Gestor de UDI -->
<title><?=strtoupper($cargaIdiomas->damePalabraEnIdioma(1092))?> - <?=$cargaIdiomas->damePalabraEnIdioma(1093)?></title>
<link href="css/00_gestor_gestores.css" rel="stylesheet" type="text/css" />
<script>
	function recargate(){
		document.formulario.action = "_gestor_media_simple.php";
		document.formulario.submit();	
	}
	
	function cambio_seleccion(){
		//alert(document.formulario.ficheros.value);
		var seleccion = "";
		var multiple = false;
		for (i = 0; i < document.formulario.ficheros.length; i++) { 
			if(document.formulario.ficheros.options[i].selected  == true){
				if(seleccion!=""){
					seleccion += ", ";
					multiple = true;	
				}
				seleccion += document.formulario.ficheros.options[i].value;
			} 
		} 
		var nombre_fichero = document.getElementById('nombre_fichero');
		nombre_fichero.value = seleccion;
		document.formulario.descargar.value = seleccion;
		if(multiple){
			document.getElementById('renombrar').style.display = 'none';
		}
		else{
			document.getElementById('renombrar').style.display = 'block';
		}
		//alert(seleccion);
	}
	
		
	function generar_codigo(){
		ancho = document.getElementById('ancho_ode').value;
		alto = document.getElementById('alto_ode').value;
		mi_ruta = document.getElementById('ruta_relativa_ode').value;
		if(alto.length==0 && ancho.length==0){
			alert("Escriba un ancho y un alto para el ODE");
			return;
		}
		if(ancho.length==0){
			alert("Escriba un ancho para el ODE");
			return;
		}
		if(alto.length==0){
			alert("Escriba un alto para el ODE");
			return;
		}
		if(mi_ruta.length==0){
			alert("Escriba la ruta relativa al ODE");
			return;
		}
		document.formulario.action = "_gestor_codigo_embeber.php";
		document.formulario.accion.value = "generar";
		document.formulario.submit();
	}
	
	function subir(){
		document.formulario.action = "_gestor_udis_ACTION.php";
		document.formulario.accion.value = "subir";
		document.formulario.submit();
	}
	function cargarGestorUDI(){
		var opciones="titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=778,height=754";
		window.open("_gestor_udis.php","_blank",opciones);	
		parent.close();	
	}
	function cargarGestorOtros(){
		var opciones="titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=778,height=840";
		window.open("_gestor_media_compuesto.php","_blank",opciones);	
		parent.close();	
	}
	function cargarGestorSDS(){
		var opciones="titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=778,height=600";
		window.open("_gestor_sds.php","_blank",opciones);
		parent.close();	
	}
	function cargarGestorMedia(){
		var opciones="titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=782,height=855";
		window.open("_gestor_media_simple.php","_blank",opciones);
		parent.close();	
	}
	function cargarGestorCodigoEmbeber(){
		var opciones="titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=778,height=770";
		window.open("_gestor_codigo_embeber.php","_blank",opciones);	
		parent.close();	
	}


</script>
</head>

<body>
<table width="760" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF" style="border-right:1px solid #CCCCCC; border-left:1px solid #CCCCCC; border-bottom:1px solid #CCCCCC;">
  <tr>
    <td width="760"><TABLE WIDTH="760" BORDER="0" CELLPADDING="0" CELLSPACING="0">
  <TR>
    <TD><IMG SRC="0imgs/cabecera2/cabecera_atenex1_08b.jpg" width=243 height=28 alt="" /></TD>
    <TD><a href="mailto:infoatenex@edu.juntaex.es"><img src="0imgs/cabecera2/cabecera_atenex1_10.jpg" alt="" width=26 height=28 border="0" /></a></TD>
	<TD><a href="http://doe.juntaex.es/"><img src="0imgs/cabecera2/cabecera_atenex1_13.jpg" alt="" width=37 height=28 border="0" /></a></TD>
    <TD><a href="http://www.educarex.es"><img src="0imgs/cabecera2/cabecera_atenex1_09.jpg" alt="" width=28 height=28 border="0" /></a></TD>
    <TD><a href="plantillero.html"><img src="0imgs/cabecera2/cabecera_atenex1_11.jpg" alt="" width=25 height=28 border="0" /></a></TD>
    <TD><IMG SRC="0imgs/cabecera2/cabecera_atenex1_12.jpg" width=401 height=28 alt="" /></TD>
  </TR>
  <TR>
    <TD colspan="2" class="pestanas_izda"><b><?=strtoupper($cargaIdiomas->damePalabraEnIdioma(1092))?></b></TD>
    <TD colspan="4" class="pestanas_dcha">
    	<b>
	    	<!--<span class="link_otro_gestor"><a href="javascript:cargarGestorMedia();"><?=$cargaIdiomas->damePalabraEnIdioma(6033)?></a></span> | 
	    	<span class="link_otro_gestor"><a href="javascript:cargarGestorUDI();"><?=$cargaIdiomas->damePalabraEnIdioma(6034)?></a></span> |
	    	<span class="link_otro_gestor"><a href="javascript:cargarGestorOtros();"><?=$cargaIdiomas->damePalabraEnIdioma(43)?></a></span> |
	    	<span class="link_otro_gestor"><a href="javascript:cargarGestorSDS();"><?=$cargaIdiomas->damePalabraEnIdioma(40)?></a></span>|-->
	    	<span class="pestana_activa"><?=$cargaIdiomas->damePalabraEnIdioma(3039)?></span>
	    </b>
	   </TD>
  </TR>
</TABLE>
<form action="" method="post" name="formulario" enctype="multipart/form-data" >
	<input type="hidden" name="accion"/>
	<input type="hidden" name="seleccion"/>
	<input type="hidden" name="USUARIO" value="<?=$USUARIO?>"/>
	<input type="hidden" name="path_base" value="<?=$DIRECTORIO_UDIS?>"/>

<h1> <?=$cargaIdiomas->damePalabraEnIdioma(1092)?> </h1> <!-- El Constructor -->
<h2> <?=$cargaIdiomas->damePalabraEnIdioma(1093)?> </h2> <!-- Gestor de UDIS -->
<div align="center">
<div id="ancho">

<!-- Espacio de trabajo de EL CONSTRUCTOR -->

<div class="nombre_gestor"><b><?=$cargaIdiomas->damePalabraEnIdioma(3040)?></b> <!--Gestor de código para embeber ODE´s --></div>

<div class="linea_puntos">&nbsp;</div>

<div id="renombrar">
<h4><span class="bd"></span>
	<span class="blanco">
		<?=$cargaIdiomas->damePalabraEnIdioma(3042)?>
	</span>
</h4>
<div class="caja izq">

<p>
<span class="dimensiones">
Ancho: <input type="text" id="ancho_ode" name="ancho_ode" value="<? echo $ancho_ode;?>" />&nbsp;&nbsp;&nbsp;
Alto: <input type="text" id="alto_ode" name="alto_ode" value="<? echo $alto_ode;?>" /><br /><br />
<span class="dimensiones_ruta_relativa">
Ruta del ODE relativa al html: <input type="text" id="ruta_relativa_ode" name="ruta_relativa_ode" value="<? echo $ruta_relativa_ode;?>" />
</span>
</span>
</p>

<div class="exa"> 
	<span class="boton"><a href="javascript:generar_codigo();"><?=strtolower($cargaIdiomas->damePalabraEnIdioma(3041))?></a></span>
</div>

</div>
</div>

<!-- cabecera -->
<div id="renombrar">
<h4><span class="bd"></span>
	<span class="blanco">
		<?=$cargaIdiomas->damePalabraEnIdioma(3043)?>
	</span>
</h4>
<div class="caja izq">

<textarea name="name" rows="8" cols="70"><?if(isset($accion)) echo "<script language=\"javascript\">AC_FL_RunContent = 0;</script>
<script src=\"$ruta_relativa_ode/AC_RunActiveContent.js\" language=\"javascript\"></script>
<script type=\"text/javascript\" src=\"$ruta_relativa_ode/SCORM_API_wrapper.js\"></script>
<script> 
function terminateCommunication(){
   try{
	   var api = getAPIHandle();
	   if ( api == null ){
		 return \"false\";}
	   else
	  {	if ( terminated != \"true\" ){
			var result = api.Terminate(\"\");
		}
	   }
	   return result;
   }
   catch(e){
   
   }
}
function geometra_alumno(){
	var opciones=\"titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=800,height=600\";
	window.open(\"$ruta_relativa_ode/modulos_compilados/geometra_alumno.swf\",\"_blank\",opciones);
}

function calculadora(){
	var opciones=\"titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=634,height=400\";
	window.open(\"$ruta_relativa_ode/modulos_compilados/calculadora.swf\",\"_blank\",opciones);
}
function calculadora_cientifica(){
	var opciones=\"titlebar=no,Toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,resizable=yes,top=0,left=0,width=634,height=400\";
	window.open(\"$ruta_relativa_ode/modulos_compilados/calculadora_cientifica.swf\",\"_blank\",opciones);
}
</script>"?></textarea>

</div>
</div>


<!-- etiqueta body -->
<div id="renombrar">
<h4><span class="bd"></span>
	<span class="blanco">
		<?=$cargaIdiomas->damePalabraEnIdioma(3044)."<span class='azul'>&nbsp;&nbsp;&nbsp;&nbsp; < body <span style=\"border:1px solid blue;\">&nbsp;&nbsp;rellenar con el c�digo&nbsp;&nbsp;</span> ></span>"?>
	</span>
</h4>
<div class="caja izq">

<textarea name="name" rows="1" cols="70"><?if(isset($accion)) echo "<body onunload=\"javascript:terminateCommunication();\" onload=\"\">" ?></textarea>

</div>
</div>


<!-- body -->
<div id="renombrar">
<h4><span class="bd"></span>
	<span class="blanco">
		<?=$cargaIdiomas->damePalabraEnIdioma(3045)?>
	</span>
</h4>
<div class="caja izq">

<textarea name="name" rows="8" cols="70"><?if(isset($accion)) echo "<script language=\"javascript\">
	if (AC_FL_RunContent == 0) {
		alert(\"Esta p�gina requiere el archivo AC_RunActiveContent.js.\");
	} else {
		AC_FL_RunContent(
			'codebase', 'http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0',
			'width', '$ancho_ode',
			'height', '$alto_ode',
			'src', '$ruta_relativa_ode/reproductor?ruta_directorios=./$ruta_relativa_ode',
			'quality', 'high',
			'pluginspage', 'http://www.macromedia.com/go/getflashplayer',
			'align', 'middle',
			'play', 'true',
			'loop', 'true',
			'scale', 'showall',
			'wmode', 'window',
			'devicefont', 'false',
			'id', 'reproductor',
			'bgcolor', '#ffffff',
			'name', 'reproductor',
			'menu', 'true',
			'allowFullScreen', 'false',
			'allowScriptAccess','sameDomain',
			'movie', '$ruta_relativa_ode/reproductor?ruta_directorios=./$ruta_relativa_ode',
			'salign', ''
			); //end AC code
	}
</script>
<noscript>
	<object classid=\"clsid:d27cdb6e-ae6d-11cf-96b8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0\" width=\"$ancho_ode\" height=\"$alto_ode\" id=\"reproductor\" align=\"middle\">
	<param name=\"allowScriptAccess\" value=\"sameDomain\" />
	<param name=\"allowFullScreen\" value=\"false\" />
	<param name=\"movie\" value=\"$ruta_relativa_ode/reproductor.swf?ruta_directorios=./$ruta_relativa_ode\" /><param name=\"quality\" value=\"high\" /><param name=\"bgcolor\" value=\"#ffffff\" />	<embed src=\"$ruta_relativa_ode/reproductor.swf?ruta_directorios=./$ruta_relativa_ode\" quality=\"high\" bgcolor=\"#ffffff\" width=\"$ancho_ode\" height=\"$alto_ode\" name=\"reproductor\" align=\"middle\" allowScriptAccess=\"sameDomain\" allowFullScreen=\"false\" type=\"application/x-shockwave-flash\" pluginspage=\"http://www.macromedia.com/go/getflashplayer\" />
	</object>
</noscript>"; ?></textarea>

</div>
</div>



</div> <!--fin div ancho -->
</div> <!--fin div center -->
</form>
</body>
</html>
