<?

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

	include("include_autentificacion.php");
	include("classes/class.downloadfileclass.php");
	include("classes/class.archive.php");
	include("classes/class.infodirectorios.php");

	$tipo_media = $_POST['tipo_media'];
	$udi = $_POST['udi'];
	$seleccion = $_POST['seleccion'];
	$accion = $_POST['accion'];
	$renombrado = $_POST['renombrado'];

	$PATH_BASE = $_POST['path_base'];
	
	$DIRECTORIO = $_POST['path_base'].$udi."/".$tipo_media."/";
	$DIRECTORIO_DESCARGA = $_POST['path_base'].$udi."/";
	$DIRECTORIO_TEMP = $_POST['path_base']."../temp/";
	$DIRECTORIO_BASE = $_POST['path_base'].$udi."/";
	$incorrectos = "";
	$correctos = "";
	

	
	if($accion=="renombrar"){
		//die($seleccion." ".$renombrado);
		$numero_reemplazos = reemplaza_referencias_en_xml($seleccion,$renombrado,$DIRECTORIO_BASE."/XML/objetos/",$DIRECTORIO_BASE."/XML/");
        //print($numero_reemplazos);
        rename("$DIRECTORIO"."$seleccion","$DIRECTORIO"."$renombrado");
		
	}
	else if($accion=="borrar"){
		$ficheros = split("@",$seleccion);
		for($i=0;$i<count($ficheros);$i++){
			if($ficheros[$i]!=''){
                $nombre_corto = basename($ficheros[$i]); 
                //die($nombre_corto.$DIRECTORIO_BASE."/XML/");
                if(comprueba_referencias_en_xml($nombre_corto,$DIRECTORIO_BASE."/XML/objetos/",$DIRECTORIO_BASE."/XML/")==true){
                     $incorrectos .= "Error: El archivo ".$nombre_corto." esta en uso en la UDI@";
                }
                else{
                    $correctos .=  $nombre_corto." borrado correctamente";
                	unlink($DIRECTORIO_DESCARGA."$ficheros[$i]");
                }
			}
		}
		// !!!!!! HABRA QUE HACER COSAS CON EL CURSO Y LOS XML
	}
	else if($accion=="descargar"){
		
		$ficheros = split("@",$seleccion);
		if(count($ficheros)<=2){ //Es un �nico fichero
			//die("BAJO DE=>".$DIRECTORIO_DESCARGA."$ficheros[0]");
			$downloadfile = new DOWNLOADFILE($DIRECTORIO_DESCARGA."$ficheros[0]");
			$downloadfile->df_download();			
		}
		else{ //Son varios
			//!!!!!! BORRAR TODO CONTENIDO DE DIRECTORIO TEMPORAL
			//unlink($DIRECTORIO_TEMP."*");
			borrar_contenido_directorio($DIRECTORIO_TEMP);
			$test = new zip_file($DIRECTORIO_TEMP."descarga.zip");
			$test->set_options(array('overwrite' => 1, 'level' => 1,'storepaths' => 0));
		
			for($i=0;$i<count($ficheros);$i++){
				if($ficheros[$i]!=''){
					$test->add_files($DIRECTORIO_DESCARGA.$ficheros[$i]);		
				}
			}
			// Create archive in memory
			$test->create_archive();
			$downloadfile = new DOWNLOADFILE($DIRECTORIO_TEMP."descarga.zip");
			$downloadfile->df_download();	
		}	
		
	}
	
	function borrar_contenido_directorio($directorio){
		$info_dir = new infodirectorios($directorio);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			if($temp->getIsDir()){
				borrar_contenido_directorio($temp->getNombreCompleto()."/");
				rmdir($temp->getNombreCompleto());
			}
			else{
				unlink($temp->getNombreCompleto());
			}
		}	
	}
	
    function reemplaza_referencias_en_xml($anterior,$nuevo,$dir_xml_objetos,$dir_xml_general){

		//$cadena = strtolower($anterior);
            $contador = 0;
	    	$info_dir = new infodirectorios($dir_xml_objetos);

			for($i=0;$i<$info_dir->lenght();$i++){
				$temp = $info_dir->getAt($i);
				if(!$temp->getIsDir()){ //Si no es un directorio
						$fichero = fopen($temp->getNombreCompleto(),"r");
						$contenido = fread($fichero,filesize($temp->getNombreCompleto()));
						fclose($fichero);
						//print("BUSCO=".$anterior. " ".$contenido."");
						
						if(is_substr($anterior,$contenido)!=false){
                           $contenido = str_replace($anterior,$nuevo,$contenido);
                           $fichero = fopen($temp->getNombreCompleto(),"w");
                           fwrite($fichero,$contenido);
                           fclose($fichero);
                          //print("ENCUENTRO");
                           $contador++;
						}
				}
			}
			
            $info_dir = new infodirectorios($dir_xml_general);
            
            for($i=0;$i<$info_dir->lenght();$i++){
				$temp = $info_dir->getAt($i);
				if(!$temp->getIsDir()){ //Si no es un directorio
						$fichero = fopen($temp->getNombreCompleto(),"r");
						$contenido = fread($fichero,filesize($temp->getNombreCompleto()));
						fclose($fichero);
						if(is_substr($anterior,$contenido)!=false){
                           $contenido = str_replace($anterior,$nuevo,$contenido);
                           $fichero = fopen($temp->getNombreCompleto(),"w");
                           fwrite($fichero,$contenido);
                           fclose($fichero);
                           $contador++;
						}
				}
			}
			
            return $contador;
	}
	
	function comprueba_referencias_en_xml($cadena,$dir_xml_objetos,$dir_xml_general){
		//print("AS");
		$cadena = strtolower($cadena);
		

		$info_dir = new infodirectorios($dir_xml_objetos);
			for($i=0;$i<$info_dir->lenght();$i++){
				$temp = $info_dir->getAt($i);
				if(!$temp->getIsDir()){ //Si no es un directorio
						//$nombre_completo = 
						$fichero = fopen($temp->getNombreCompleto(),"r");
						$contenido = strtolower(fread($fichero,filesize($temp->getNombreCompleto())));
						fclose($fichero);
						//print("BUSCO=".$cadena. " EN=".$contenido."FIN");
						//print("POS=".strripos($cadena,$contenido));
						if(is_substr($cadena,$contenido)!=false){
                                //die("ASDASD");
								return true;
						}
				}
			}
			$info_dir = new infodirectorios($dir_xml_general);
			for($i=0;$i<$info_dir->lenght();$i++){
				$temp = $info_dir->getAt($i);
				if(!$temp->getIsDir()){ //Si no es un directorio
						//$nombre_completo = 
						$fichero = fopen($temp->getNombreCompleto(),"r");
						$contenido = strtolower(fread($fichero,filesize($temp->getNombreCompleto())));
						fclose($fichero);
						//print("BUSCO=".$cadena. " EN=".$contenido."FIN");
						//print("POS=".strripos($cadena,$contenido));
						if(is_substr($cadena,$contenido)!=false){
                                //die("ASDASD");
								return true;
						}
				}
			}
			return false;
	}
	
	function is_substr($needle, $haystack){
       $pos = strpos($haystack, $needle);
 	 //  print("POS=".$pos." <br>");
       if ($pos === false) {
               return false;
       } else {
	       	   return true;
       }
	}
	
	

?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Wait...</title>
</head>
<body onload="javascript:document.formulario.submit()">
<form action="_gestor_media_simple.php" method="post" name="formulario" >
<input type="hidden" name="tipo_media" value="<?=$tipo_media?>"></input>
<input type="hidden" name="USUARIO" value="<?=$USUARIO?>"></input>
<input type="hidden" name="udi" value="<?=$udi?>"></input>
<input type="hidden" name="incorrectos" value="<?=$incorrectos?>"></input>
<input type="hidden" name="correctos" value="<?=$correctos?>"></input>
<input type="hidden" name="path_base" value="<?=$PATH_BASE?>"/>
</form>
</body>
</html>
