<?

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

	include_once("include_autentificacion.php");
	include_once("classes_sds/class.downloadfileclass.php");
	include_once("classes_sds/class.archive.php");
	include_once("classes_sds/class.infodirectorios.php");
	include_once "classes_sds/class.xmlsd.php";

	$tipo_media = $_POST['tipo_media'];
	$udi = $_POST['udi'];
	$nombre_sd = $_POST['nombre_sd'];
	$renombre = $_POST['renombre'];
	$accion = $_POST['accion'];
	$renombre = $_POST['renombre'];
	$nivel = $_POST['nivel'];
	$DIRECTORIO_UDIS = $_POST['path_base'];

	$DIRECTORIO_SECUENCIAS = corrige_dir($DIRECTORIO_UDIS ."/../sds/")."/";
	if(!file_exists($DIRECTORIO_SECUENCIAS)){
		mkdir($DIRECTORIO_SECUENCIAS);
	}
	$DIRECTORIO_TEMP = corrige_dir($DIRECTORIO_UDIS ."/../temp/")."/";
	$incorrectos = "";
	$correctos = "";
	ini_set("display_errors",0);

	if($accion=="nueva"){
		//die($nombre_sd);
		$arreglado = arregla_nombre($nombre_sd);
		copyr("default/",$DIRECTORIO_SECUENCIAS.$arreglado);
		$sd = new xmlsd("$DIRECTORIO_SECUENCIAS$arreglado/sd.xml");
		$sd->nombre = $nombre_sd;
		$sd->escribir_xml();
	}
	if($accion=="renombrar"){
		$sd = new xmlsd("$DIRECTORIO_SECUENCIAS$nombre_sd/sd.xml");
		$sd->nombre = $renombre;
		$sd->escribir_xml();
	}
	if($accion=="renombrarnivel"){
		$sd = new xmlsd("$DIRECTORIO_SECUENCIAS$nombre_sd/sd.xml");
		$sd->nivel = $nivel;
		$sd->escribir_xml();
	}
	if($accion=="borrar"){
		$ficheros = split("@",$nombre_sd);
		for($i=0;$i<count($ficheros);$i++){
			if($ficheros[$i]!=''){
               $nombre_corto = basename($ficheros[$i]);
               borrar_directorio($DIRECTORIO_SECUENCIAS.$nombre_corto."/");			
			}
		}
	}
	else if($accion=="descargar"){
		
		$seleccion = $_POST['nombre_sd'];
		//die("PETER=>".$seleccion);
		borrar_contenido_directorio($DIRECTORIO_TEMP);
        	$a = "";
        	$info_dir = new infodirectorios($DIRECTORIO_SECUENCIAS."/".$seleccion."/");
       		for($i=0;$i<$info_dir->lenght();$i++){
       	 		$temp = $info_dir->getAt($i);
  		    	$a.= $temp->getNombre().",";
		}
        	$backup_dir = getcwd();
        	chdir($DIRECTORIO_SECUENCIAS."/".$seleccion);
        	require_once('classes_sds/pclzip.lib.php');
        	$archive = new PclZip($DIRECTORIO_TEMP.$seleccion.".zip");
        	if ($archive->create($a) == 0) {
        	    die('Error : '.$archive->errorInfo(true));
        	}
         	chdir($backup_dir);

        	$downloadfile = new DOWNLOADFILE($DIRECTORIO_TEMP.$seleccion.".zip");
		$downloadfile->df_download();	
		
	}
	
	function arregla_nombre($nombre){
		
		$nombre = str_replace(" ","",$nombre);
		$nombre = str_replace("Ž","",$nombre);
		$nombre = str_replace("ñ","ni",$nombre);
		$nombre = str_replace("^","",$nombre);
		$nombre = str_replace("?","",$nombre);
		$nombre = str_replace("#","",$nombre);
		$nombre = str_replace("$","",$nombre);
		$nombre = str_replace("@","",$nombre);
		$nombre = str_replace("\"","",$nombre);
		$nombre = str_replace("!","",$nombre);
		$nombre = str_replace("¡","",$nombre);
		$nombre = str_replace("_","",$nombre);
		$nombre = str_replace("-","",$nombre);
		$nombre = str_replace("*","",$nombre);
		$nombre = str_replace("á","a",$nombre);
		$nombre = str_replace("é","e",$nombre);
		$nombre = str_replace("í","i",$nombre);
		$nombre = str_replace("ó","o",$nombre);
		$nombre = str_replace("ú","u",$nombre);
		$nombre = str_replace("Á","a",$nombre);
		$nombre = str_replace("É","e",$nombre);
		$nombre = str_replace("Í","i",$nombre);
		$nombre = str_replace("Ó","o",$nombre);
		$nombre = str_replace("Ú","u",$nombre);
		$nombre = str_replace("A","a",$nombre);
		$nombre = str_replace("E","e",$nombre);
		$nombre = str_replace("I","i",$nombre);
		$nombre = str_replace("O","o",$nombre);
		$nombre = str_replace("U","u",$nombre);
		$nombre = str_replace("Ã","a",$nombre);
		$nombre = str_replace("©","e",$nombre);
		
		
				
		return $nombre;
				
	}
	
	
	
	function borrar_contenido_directorio($directorio){
		$retorno = TRUE;
		$info_dir = new infodirectorios($directorio);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			if($temp->getIsDir()){
				if(borrar_contenido_directorio($temp->getNombreCompleto()."/")==FALSE){
					$retorno = FALSE;
				}
				if(rmdir($temp->getNombreCompleto())==FALSE){
					$retorno = FALSE;
				}
			}
			else{
				if(unlink($temp->getNombreCompleto())==FALSE){
					$retorno = FALSE;
				}
			}
		}	
		return $retorno;
	}

	function borrar_directorio($directorio){
		$info_dir = new infodirectorios($directorio);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			//print($temp->getNombreCompleto()."<br>");
			if($temp->getIsDir()){
				borrar_directorio($temp->getNombreCompleto()."/");
				rmdir($temp->getNombreCompleto());
			}
			else{
				unlink($temp->getNombreCompleto());
			}
		}
		rmdir($directorio);
	}
	
   
	function is_substr($needle, $haystack){
       $pos = strpos($haystack, $needle);
 	 //  print("POS=".$pos." <br>");
       if ($pos === false) {
               return false;
       } else {
	       	   return true;
       }
	}
	
	function copyr($source, $dest){
		// Simple copy for a file
		if (is_file($source)) {
			return copy($source, $dest);
		}
	 
		// Make destination directory
		if (!is_dir($dest)) {
			mkdir($dest);
		}
	 
		// Loop through the folder
		$dir = dir($source);
		while (false !== $entry = $dir->read()) {
			// Skip pointers
			if ($entry == '.' || $entry == '..') {
				continue;
			}
	 
			// Deep copy directories
			if ($dest !== "$source/$entry") {
				copyr("$source/$entry", "$dest/$entry");
			}
		}
	 
		// Clean up
		$dir->close();
		return true;
	}
	


	

?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Wait...</title>
</head>
<body onload="javascript:document.formulario.submit()">
<form action="_gestor_sds.php" method="post" name="formulario" >
<input type="hidden" name="tipo_media" value="<?=$tipo_media?>"></input>
<input type="hidden" name="USUARIO" value="<?=$USUARIO?>"></input>
<input type="hidden" name="udi" value="<?=$udi?>"></input>
<input type="hidden" name="incorrectos" value="<?=$incorrectos?>"></input>
<input type="hidden" name="correctos" value="<?=$correctos?>"></input>
<input type="hidden" name="path_base" value="<?=$DIRECTORIO_UDIS?>"/>
</form>
</body>
</html>
