<?

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

	include("include_autentificacion.php");
	include("classes_sds/class.downloadfileclass.php");
	include("classes_sds/class.archive.php");
	include("classes_sds/class.infodirectorios.php");
	include_once "classes_sds/class.xmlsd.php";

	ini_set("display_errors",0);
	
	$NOMBRE_SD = $_POST['nombre_sd'];
	$oa = $_POST['oa'];
	$accion = $_POST['accion'];

	$nombre = $_POST['nombre'];
	$longitud = $_POST['longitud'];

	
	$actualizados = -1;
	$yanoexisten = -1;
	
	$nombre_nuevo = $_POST['nombre_nuevo'];
	$longitud_nuevo = $_POST['longitud_nuevo'];
	$oasubir = $_POST['oasubir'];
	
	//die("$seleccion/oas/");
	
	$DIRECTORIO_TEMP = corrige_dir($DIRECTORIO_UDIS ."../temp/")."/";
	$DIRECTORIO_UDIS = $_POST['path_base']; //PATH AL WORKSPACES
	//die($NOMBRE_SD."/oas");
	$incorrectos = "";
	$correctos = "";
	
	$DIRECTORIO_SECUENCIAS = corrige_dir($DIRECTORIO_UDIS ."../sds/")."/";
	if(!file_exists($DIRECTORIO_SECUENCIAS)){
		mkdir($DIRECTORIO_SECUENCIAS);
	}
	$DIRECTORIO_OAS = corrige_dir($DIRECTORIO_SECUENCIAS.$NOMBRE_SD."/oas")."/";
	
	$sd = new xmlsd($DIRECTORIO_SECUENCIAS.$NOMBRE_SD."/sd.xml");	
	
	if($accion=="aplicar"){
		$cosas = split("@",$oa);
		$path = $cosas[1];
		$sd->cambiar_nombre($path,$nombre);
		$sd->cambiar_longitud($path,$longitud);
		$sd->escribir_xml();
	}	
	else if($accion=="actualizar"){
		//die("AKI");
		$actualizados = 0;
		$yanoexisten = 0;
		for($i=0;$i<$sd->length();$i++){
			$nombre = $sd->getNombreAt($i);
			$path = $sd->getPathAt($i);
			//
			if(is_dir(corrige_dir($DIRECTORIO_UDIS)."/".$path)){
				//die($DIRECTORIO_UDIS."/".$path." => ".$DIRECTORIO_OAS.$path);
				copyr(corrige_dir($DIRECTORIO_UDIS)."/".$path,$DIRECTORIO_OAS.$path);
				$actualizados++;
			}
			else{
				$yanoexisten++;
			}
		}
	}
	else if($accion=="borrar"){
		$cosas = split("@",$oa);
		$path = $cosas[1];
		$sd->borrar_oa($path);
		$sd->escribir_xml();
		borrar_directorio($DIRECTORIO_OAS."/".$path."/");
	}

	else if($accion=="subir"){
		copyr(corrige_dir($DIRECTORIO_UDIS)."/".$oasubir,$DIRECTORIO_OAS.$oasubir);
		$sd->meter_oa($nombre_nuevo,$oasubir,$longitud_nuevo);
		$sd->escribir_xml();
	}
	

	
	function borrar_contenido_directorio($directorio){
		$retorno = TRUE;
		$info_dir = new infodirectorios($directorio);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			if($temp->getIsDir()){
				if(borrar_contenido_directorio($temp->getNombreCompleto()."/")==FALSE){
					$retorno = FALSE;
				}
				if(rmdir($temp->getNombreCompleto())==FALSE){
					$retorno = FALSE;
				}
			}
			else{
				if(unlink($temp->getNombreCompleto())==FALSE){
					$retorno = FALSE;
				}
			}
		}	
		return $retorno;
	}

	function borrar_directorio($directorio){
		$info_dir = new infodirectorios($directorio);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			if($temp->getIsDir()){
				borrar_directorio($temp->getNombreCompleto()."/");
				rmdir($temp->getNombreCompleto());
			}
			else{
				unlink($temp->getNombreCompleto());
			}
		}
		rmdir($directorio);
	}
	
   
	function is_substr($needle, $haystack){
       $pos = strpos($haystack, $needle);
 	   if ($pos === false) {
               return false;
       } else {
	       	   return true;
       }
	}
	
	function copyr($source, $dest){
		// Simple copy for a file
		if (is_file($source)) {
			return copy($source, $dest);
		}
	 
		// Make destination directory
		if (!is_dir($dest)) {
			mkdir($dest);
		}
	 
		// Loop through the folder
		$dir = dir($source);
		while (false !== $entry = $dir->read()) {
			// Skip pointers
			if ($entry == '.' || $entry == '..') {
				continue;
			}
	 
			// Deep copy directories
			if ($dest !== "$source/$entry") {
				copyr("$source/$entry", "$dest/$entry");
			}
		}
	 
		// Clean up
		$dir->close();
		return true;
	}

	

?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Wait...</title>
</head>
<body onload="javascript:document.formulario.submit()">
<form action="_gestor_sds_oas.php" method="post" name="formulario" >
<input type="hidden" name="nombre_sd" value="<?=$NOMBRE_SD?>"/>
<input type="hidden" name="oa" value="<?=$oa?>"></input>
<input type="hidden" name="path_base" value="<?=$DIRECTORIO_UDIS?>"/>
<input type="hidden" name="actualizados" value="<?=$actualizados?>"/>
<input type="hidden" name="yanoexisten" value="<?=$yanoexisten?>"/>
</form>
</body>
</html>
