<?

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

	//SUBIR UN FICHERO
	$config_path = '.';
	$config_maxsize = 1024 * 1024;
	$config_extension = "zip,rar,tar,jpg"; //default seperator : |
	$config_allow_mimes = "image/pjpeg|image/jpeg";
	$config_img_extension = "gif,jpg,png"; //default seperator : |
	

	include_once "class.httpupload.php";
	include_once "class.infodirectorios.php";

	$object = new httpupload($config_path , 'fichero');
	
	$object->setuploaddir($config_path); //set upload directory
	$object->setuploadname('up_file'); //set upload form name
	$object->setallowmime($config_allow_mimes);
	//$object->setuploadindex(null); //set upload file index (for multi file processing)
	
	$object->setmaxsize($config_maxsize);
	$object->setallowext($config_extension , ","); //You can use array("zip","rar","tar")
	if ($object->hasUpload()) {
		if ($object->upload(true)) { //el boolean es para ver si sobreescribe en caso de que exista
			$result = 'Your file has been uploaded successfuly.<br>';
			$result .= "Your file (" . $object->getsavedname(false) . ") ";
			$result .= "has been saved to " . $object->getsavedname(true) . "<BR><br>";
			$result .= "File size : " . $object->getuploadsize() . " byte<BR>";
			$result .= "File MIME : " . $object->getuploadtype() . "<BR>";
			$result .= "Orginal name : " . $object->getuploadname() . "<BR>";
			$result .= "Tmp file : " . $object->getuploadtmp() . "<BR>";
		} else {
			$result = "There was a problem with your uploaded file.<br>";
			$result .= "Error Code : <b>" . $object->error_code . "</b><br>";
			$result .= "Error Description : <br><br>";
			$result .= $object->get_error();
			if($object->error_code==-7){
				$result.= "MIME ACTUAL=".$object->get_mimedelarchivo();
			}
			//$object->error_code = -7 error mime
			//						-6 error extension
		}
	}
?>
<html>

<head>
<style>
<!--
body         { font-family: Verdana; font-size: 12px }
-->
</style>
</head>
<title>HTTPUpload Example</title>
<body>

<h3><font color="navy">HTTPUpload</font></h3>
<font size=1 color=Gray>(This example requires javascript.)</font>

<?

if (@$result) {
?>
<br><br>
<b>Upload Result:</b><br><br>
<?
echo $result;
}
//LEER LA INFO DE UN DIRECTORIO Y ACCEDER A ELLOS:
$info_dir = new infodirectorios("./");
for($i=0;$i<$info_dir->lenght();$i++){
	$temp = $info_dir->getAt($i);
	
	print("<br>Nombre=".$temp->getNombre());
	print("<br>Nombre completo=".$temp->getNombreCompleto());
	print("<br>Es un directorio?=".$temp->getIsDirToString());
	print("<br>-----------------------------------");
}

?>
</body>
</html>