<?php

include_once "phpXML_likeflash/class.XMLLikeFlash.php";

class claseCargadorIdiomas
{
	var $xml;
	var $arrIdioma;
	var $arrIdiomaEs;
	
	function claseCargadorIdiomas($dir_lang){ 
		$rutaF = fopen(dirname(__FILE__)."/../../traductor/rutaXmls","r");
		//$rutaF = fopen(dirname(__FILE__)."/../../traductor/rutaXmls","r");
		$rutaXMLs = realpath(dirname(__FILE__))."/../../".fread($rutaF,filesize(dirname(__FILE__)."/../../traductor/rutaXmls"));
		fclose($rutaF);	
	
		 	
		if(empty($dir_lang)){
			$lang = "es";
		}else{
			$fLang = fopen($dir_lang,"r");
			$lang = fread($fLang,filesize($dir_lang));
			fclose($fLang);
		}
		$this->xml = new XMLLikeFlash($rutaXMLs."lang_".$lang.".xml");		
	
		$hijos = $this->xml->firstChild()->childNodes();
		
		for($i=0;$i<count($hijos);$i++){
			$this->arrIdioma[$hijos[$i]->getChildByName('id')->child] = $hijos[$i]->getChildByName('texto')->child;			
		}

		if(strcmp($lang,"es") != 0){
			$xmlEs = new XMLLikeFlash($rutaXMLs."lang_es.xml");		
		
			$hijos = $xmlEs->firstChild()->childNodes();
			
			for($i=0;$i<count($hijos);$i++){
				$this->arrIdiomaEs[$hijos[$i]->getChildByName('id')->child] = $hijos[$i]->getChildByName('texto')->child;			
			}
		}
	}
	
	function damePalabraEnIdioma($id){
		if(!empty($this->arrIdioma[$id]) && $this->arrIdioma[$id] != ""){
			return htmlentities($this->arrIdioma[$id]);
		}else{
			return htmlentities($this->arrIdiomaEs[$id]);
		}
	}	
}
?>