<?php
	include_once "phpXML_likeflash/class.XMLLikeFlash.php";
	include_once "directorios_archivos/class.infodirectorios.php";	

	ini_set("display_errors",1);
	
	 function iso($str){
	
		$badchr = array(
		"\\xe2\\x80\\xa6", // ellipsis
		"\\xe2\\x80\\x93", // long dash
		"\\xe2\\x80\\x94", // long dash
		"\\xe2\\x80\\x98", // single quote opening
		"\\xe2\\x80\\x99", // single quote closing
		"\\xe2\\x80\\x9c", // double quote opening
		"\\xe2\\x80\\x9d", // double quote closing
		"\\xe2\\x80\\xa2" // dot used for bullet points
		);
		
		$goodchr = array(
		'...',
		'-',
		'-',
		"'",
		"'",
		'"',
		'"',
		'*'
		);

		$encoding_original=mb_detect_encoding($str);
		if (!empty($encoding_original)){
			for ($i=0; $i<sizeof($badchr); $i++) {
		        $str = mb_ereg_replace($badchr[$i], $goodchr[$i], $str);
		    }
			$str=mb_convert_encoding($str,'ISO-8859-1',$encoding_original);
		}else{
			$str=mb_convert_encoding($str,'ISO-8859-1');
		}
		
		return $str;
	}

	
	function modificaXmls($xml_ini){
		$rutaF = fopen("../rutaXmls","r");
		$rutaXMLs = realpath(dirname(__FILE__))."../../".fread($rutaF,filesize("../rutaXmls"));
		fclose($rutaF);

		$hijos_ini = $xml_ini->firstChild()->childNodes();
		
			
		$xml_fich = new XMLLikeFlash($rutaXMLs.'lang_lista.xml');
		$ficheros = $xml_fich->firstChild()->childNodes();
		for($k=0;$k<count($ficheros);$k++){			
			$arr_fichs = $ficheros[$k]->childNodes();
			$nombreFich = "lang_".$arr_fichs[0]->child.".xml";
			if($nombreFich != 'lang_es.xml'){

				$xml_mod = new XMLLikeFlash($rutaXMLs.$nombreFich);
				$hijos_mod = $xml_mod->firstChild()->childNodes();

				$arr_mod['cont'] = array_fill  (0,count($hijos_mod),0);

				for($i=0;$i<count($hijos_ini);$i++){
					$arr = $hijos_ini[$i]->childNodes();
					$diff = true;
					
					for($j=0;$j<count($hijos_mod);$j++){
						$arr_mod['hijos'] = $hijos_mod[$j]->childNodes();
						if($arr[0]->child === $arr_mod['hijos'][0]->child){
							$diff = false;
							$arr_mod['cont'][$j]++;
						}
						
					}		
					if($diff){
						
						$nodoId = new XMLNode();
						$nodoId->setName("id");
						$nodoId->nodeValue($arr[0]->child);
						
						$nodoTxt = new XMLNode();
						$nodoTxt->setName("texto");
						$nodoTxt->nodeValue($arr[1]->child);
						
						
						$nodoItem = new XMLNode();
						$nodoItem->setName("item");
						$nodoItem->addChild($nodoId);
						$nodoItem->addChild($nodoTxt);
						$xml_mod->firstChild()->addChild($nodoItem);
						
					}
				}
				for($j=0;$j<count($hijos_mod);$j++){					
					if($arr_mod['cont'][$j] == 0){										
						$xml_mod->firstChild()->removeChildAt($j);						
					} 
				}
				$fich = fopen($rutaXMLs.$nombreFich,"w");
				fwrite($fich,iso($xml_mod->toXml()));
				fclose($fich);
				$xml_mod->__destruct();
			}
		}
	}

	
	
	$rutaF = fopen("../rutaXmls","r");
	$rutaXMLs = realpath(dirname(__FILE__))."/../../".fread($rutaF,filesize("../rutaXmls"));
	fclose($rutaF);		

	$file = fopen($rutaXMLs.$_POST['fichero'],"wr");
	fwrite($file,stripslashes('<?xml version="1.0" encoding="ISO-8859-1"?>'.iso($_POST['xml'])));
	fclose($file);

	if($_POST['fichero'] == 'lang_lista.xml'){
		$xml = new XMLLikeFlash($rutaXMLs.$_POST['fichero']);		

		$hijos = $xml->firstChild()->childNodes();
		for($i=0;$i<count($hijos);$i++){			
			$arr = $hijos[$i]->childNodes();
			$nombreFich = "lang_".$arr[0]->child.".xml";

			if(!file_exists($rutaXMLs.$nombreFich)){
				$dummyFile = fopen($rutaXMLs."dummy_lang.xml","r");
				$dummy = fread($dummyFile, filesize($rutaXMLs."dummy_lang.xml"));
				fclose($dummyFile);
				
				$file = fopen($rutaXMLs.$nombreFich,"wr");
				fwrite($file,$dummy);
				fclose($file);
			}
			$xmls[$i] = $nombreFich;			
		}
		$xmls[$i++] = 'dummy_lang.xml';
		$xmls[$i++] = 'lang_lista.xml';
		$xmls[$i++] = 'lang_todos.xml';		
		$xmls[$i++] = 'lang_descripcion.xml';		

		$info_dir = new infodirectorios($rutaXMLs); 
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);			
						
			$ret = array_search($temp->getNombre(),$xmls);
			if($ret === FALSE){
				unlink($temp->getNombreCompleto());			}
		}		

	}
	if($_POST['fichero'] == 'lang_es.xml'){
		$xml = new XMLLikeFlash($rutaXMLs.$_POST['fichero']);		

		$hijos = $xml->firstChild()->childNodes();
		for($i=0;$i<count($hijos);$i++){			
			$hijos[$i]->getChildByName('texto')->child = "";
		}
		$str = $xml->toXml();
		
		$dummyXmlValue = $str;
		
		$dummyFile = fopen($rutaXMLs."dummy_lang.xml","wr");
		$dummy = fwrite($dummyFile, $dummyXmlValue);
		fclose($dummyFile);

		modificaXmls($xml);		
	}
?>