<?

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

	include "gestorlocal/classes/class.infodirectorios.php";
	ini_set("display_errors",0);
	$dir_origen =  $_GET['dir_origen']; //$_POST['dir_origen'];
	if($dir_origen=="")
			$dir_origen = $_POST['dir_origen'];
	$dir_xml_objetos = $dir_origen."/XML/objetos/";
	$dir_xml_general = $dir_origen."/XML/";
	
	function is_substr($needle, $haystack){ 
       $pos = strpos($haystack, $needle); 
       if ($pos === false) { 
               return false; 
       } else { 
	       	   return true; 
       } 
	}		
	
	function comprueba_referencias_en_xml($cadena,$dir_xml_objetos,$dir_xml_general){
		$cadena = strtolower($cadena);	
		$info_dir = new infodirectorios($dir_xml_objetos);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);				
			if(!$temp->getIsDir()){ //Si no es un directorio
				$fichero = fopen($temp->getNombreCompleto(),"r");
				$contenido = strtolower(fread($fichero,filesize($temp->getNombreCompleto())));
				fclose($fichero);
				if(is_substr($cadena,$contenido)!=false){
						return true;
				} 
			}
		}
		$info_dir = new infodirectorios($dir_xml_general);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			if(!$temp->getIsDir()){ //Si no es un directorio
				$fichero = fopen($temp->getNombreCompleto(),"r");
				$contenido = strtolower(fread($fichero,filesize($temp->getNombreCompleto())));
				fclose($fichero);
				if(is_substr($cadena,$contenido)!=false){
						return true;
				} 
			}
		}
		return false; 
	} 
	
	function comprueba_referencias_en_xml_modulos($cadena,$dir_xml_objetos,$dir_xml_general){
		$cadena = strtolower($cadena);
		$info_dir = new infodirectorios($dir_xml_objetos);
		for($i=0;$i<$info_dir->lenght();$i++){
			$temp = $info_dir->getAt($i);
			if(!$temp->getIsDir()){ //Si no es un directorio
				$fichero = fopen($temp->getNombreCompleto(),"r");
				$contenido = strtolower(fread($fichero,filesize($temp->getNombreCompleto())));
				fclose($fichero);
				switch ($cadena)
				{
					case "calculadora_cientifica.swf":
						$cadena = strtolower("CALCULADORACIENTIFICAELEMENTO");
						break;
					case "calculadora.swf":
						$cadena = strtolower("CALCULADORASIMPLEELEMENTO");
						break;
					case "rss.swf":
						$cadena = "rss";
						break;
					case "carrusel.swf";
						$cadena = strtolower("CARRUSEL");
						break;
					case "svg_tablero.swf";
						$cadena = "geometraelemento";
						break;
					case "geometra_alumno.swf";
						$cadena = "geometraelemento";
						break;
				}
				if(is_substr($cadena,$contenido)!=false){
					return true;
				}
			}
		}
		return false;
	}
	
	$directorios = array("/imagenes/","/videos/","/animaciones/","/sonidos/","/pdf/","/openoffice/","/squeak/","/html/","/applet/");
	$borrados = 0;
	for($i=0;$i<count($directorios);$i++){
		$dir_actual = $dir_origen.$directorios[$i];
		$info_dir = new infodirectorios($dir_actual);
		for($j=0;$j<$info_dir->lenght();$j++){
			$temp = $info_dir->getAt($j);
			$nombre_actual = $temp->getNombre();
			$retorno = comprueba_referencias_en_xml($nombre_actual,$dir_xml_objetos,$dir_xml_general);
			if($retorno==false){ //NO EXISTEN REFERENCIAS A ESE FICHERO
				unlink($temp->getNombreCompleto());
				$borrados++;
			}
		}			
	}
	
	//el procesamiento de los modulos compilados es distinto ya que los xml  de objetos no referencian el archivo
	// tal cmo pasa con las animaciones, imagenes, mp3, etc
	$dir_modulos = "/modulos_compilados/";
	$dir_actual = $dir_origen.$dir_modulos;
	$info_dir = new infodirectorios($dir_actual);
	for($j=0;$j<$info_dir->lenght();$j++){
		$temp = $info_dir->getAt($j);
		$nombre_actual = $temp->getNombre();
		$retorno = comprueba_referencias_en_xml_modulos($nombre_actual,$dir_xml_objetos,$dir_xml_general);
		if($retorno==false){ //NO EXISTEN REFERENCIAS A ESE FICHERO
			unlink($temp->getNombreCompleto());
			$borrados++;
		}
	}
	echo "borrados=".$borrados."&as=Sd";
?>
