<?php

/*
 * Copyright 2012 Junta de Extremadura, España
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

*
* Licencia con arreglo a la GPL, Versión 2 o  versiones posteriores de la GPL (GPL2);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*
* http://www.gnu.org/licenses/gpl-2.0.html
*
* Salvo cuando lo exija la legislación aplicable o se acuerde por escrito, el programa distribuido con arreglo a la Licencia se distribuye "TAL CUAL",
* SIN GARANTÍAS NI CONDICIONES DE NINGÚN TIPO, ni expresas ni implícitas.
* Véase la Licencia en el idioma concreto que rige los permisos y limitaciones que establece la Licencia.

* Autor original: Consejería de Educación y Cultura de la Junta de Extremadura, Educonsulting/Micromedia
 */

//debugg
require_once('FirePHPCore/FirePHP.class.php');
ob_start();
$firephp = FirePHP::getInstance(true);
//$firephp->log($ruta_ode,"Log message");
//inicio del script
$ruta_ode = $_POST['ruta_ode'];
ficheros_directorio($ruta_ode."/XML/",$ruta_ode,$firephp);

function ficheros_directorio ($carpeta,$rutaCopia,$debug){
	if (is_dir ($carpeta)){
		$ArrFicheros = scandir ($carpeta);
		for ($i = 0; $i < count ($ArrFicheros); $i++){
			if ($ArrFicheros[$i] != "." && $ArrFicheros[$i] != ".."){
				if (is_file ($carpeta . "/" . $ArrFicheros[$i])){
					$mi_fichero = $carpeta.$ArrFicheros[$i];
					$pos = strpos($mi_fichero, "XML/Frame");  //busco en el string de la ruta del fichero XML/Frame                  
					if($pos){
						$fichero_texto = fopen ($mi_fichero, "r");
						$contenido_fichero = fread($fichero_texto, filesize($mi_fichero));
						$xml = simplexml_load_string($contenido_fichero);
						foreach ($xml->PLANTILLA as $plantilla){	
							$plantilla_asociada = $plantilla[XML];
							$tipo_plantilla_asociada = $plantilla[TIPO];                                            
							$cambio = modificarPlantilla($tipo_plantilla_asociada, $carpeta.$plantilla_asociada,$debug);						
							if(strlen($cambio)==7){//ha habido cambio, entonces tenemos que cambiar en frame.xml
							//if($cambio != 0){//ha habido cambio, entonces tenemos que cambiar en frame.xml
								fclose($fichero_texto);
								$fichero_texto = fopen ($mi_fichero, "w");
								$antes_ahora = explode("-", $cambio);
								$contenido_fichero = str_replace($antes_ahora[0], $antes_ahora[1], $contenido_fichero);
								fputs($fichero_texto,$contenido_fichero);						
                                copy("plantillasSwf/".$antes_ahora[1].".swf",$rutaCopia."/plantillasSwf/".$antes_ahora[1].".swf");					
							}
                            fclose($fichero_texto);
						}
					}
				}
			}
		}
	} 
}
function modificarPlantilla($tipo_plantilla, $plantilla,$debug){ //devuelve 0 si no hay modificacion
	$fichero_texto = fopen ($plantilla, "r");
	$contenido_fichero = fread($fichero_texto, filesize($plantilla));
    $xml = simplexml_load_string($contenido_fichero);
	if($tipo_plantilla=="P48"){	     
		if (!$xml->CONTROL) { //si no exisite CONTROL cambio P48 por P49
			fclose($fichero_texto);
			$fichero_texto = fopen ($plantilla, "w");
			$contenido_fichero = str_replace("P48", "P49", $contenido_fichero);
			fputs($fichero_texto,$contenido_fichero);
			fclose($fichero_texto);
			return "P48-P49";
		}
	}
	if($tipo_plantilla=="P49"){		
		if (!$xml->PREGUNTAS) { //si no exisite PREGUNTAS cambio P49 por P53
			fclose($fichero_texto);
			$fichero_texto = fopen ($plantilla, "w");
			$contenido_fichero = str_replace("P49", "P53", $contenido_fichero);
			fputs($fichero_texto,$contenido_fichero);
			fclose($fichero_texto);
			return "P49-P53";
		}
	}
	if($tipo_plantilla=="P53"){
		if (!$xml->FORMULAS) { //si no exisite formulas cambio P53 por P48
			fclose($fichero_texto);
			$fichero_texto = fopen ($plantilla, "w");
			$contenido_fichero = str_replace("P53", "P48", $contenido_fichero);
			fputs($fichero_texto,$contenido_fichero);
			fclose($fichero_texto);
			return "P53-P48";
		}
	}
	fclose($fichero_texto);
	return 0;
}
?>